"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@umijs/core");
const utils_1 = require("@umijs/utils");
const path_1 = require("path");
exports.default = (api) => {
    api.registerGenerator({
        key: 'pages',
        name: 'Create page',
        description: 'Create a alita page by page name',
        type: core_1.GeneratorType.generate,
        fn: async (options) => {
            const { args, generateFile } = options;
            const [_, _name] = args._;
            let name = _name;
            if (!name) {
                const response = await (0, utils_1.prompts)({
                    type: 'text',
                    name: 'name',
                    message: 'What is the name of page?',
                });
                name = response.name;
            }
            generateFile({
                path: (0, path_1.join)(__dirname, '../../../templates/generate/page'),
                target: (0, path_1.join)(api.paths.absPagesPath, name),
                data: {
                    color: (0, utils_1.randomColor)(),
                    name: utils_1.lodash.upperFirst(name),
                },
            });
        },
    });
};
